package com.community.huiju.service;

import com.community.commom.mode.ResponseBean;
import com.community.commom.session.UserElement;
import com.community.huiju.model.*;

/**
 * 海康 业务
 * @author weiximei
 */
public interface IHKService {

    /**
     * 推送海康人员
     * @param appUserId
     * @return
     */
    ResponseBean pushPerson(String appUserId, Integer userVerifyId);

    /**
     * 添加门禁权限 和 下发门禁权限
     * @return
     */
    ResponseBean addAuthoritiesAnddownloadAuthorityByPersonIds(TaUserVerify userVerify, TaUserHk taUserHk, TpEquipmentTree tpEquipmentTree);

    /**
     * 下发门禁人脸权限 指定人员人脸/指纹权限下载
     * @return
     */
    ResponseBean downloadFaceAndFingerInfos(TpEquipmentTree tpEquipmentTree, TaUserVerify userVerify, TaUserHk taUserHk);

    /**
     * 下发门禁权限(异动方式)
     * @return
     */
    ResponseBean downloadAuthorityByDeviceUuids();

    /**
     * 异步反控开门 (远程开门(可视对讲，门口机))
     *
     * @param equipmentId 可视对讲设备id
     * @return
     */
    ResponseBean syncControl(UserElement userElement, Integer equipmentId);

    /**
     * 下发 可视对讲 权限
     * @return
     */
    ResponseBean visualIntercomPermissions(TpUnitHkSetting unitHkSetting, TpEquipmentTree tpEquipmentTree, TaUserHk taUserHk, TaUserVerify userVerify, TaUser user);

    /**
     * 可视对讲时 指定人员人脸权限下载
     * @return
     */
    ResponseBean visualIntercom(TpEquipmentTree tpEquipmentTree, TaUserHk taUserHk, TaUserVerify userVerify);


}
