package com.community.huiju.siteutil;

import com.community.commom.constant.Constant;
import com.community.commom.mode.ResponseBean;
import com.community.commom.session.UserElement;
import com.community.huiju.service.ISenCartId;
import com.community.huiju.service.userDataHKsiteI;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpSession;

@RestController
@RefreshScope
@RequestMapping("/")
@Api(value = "现场调试工具", description = "现场调试工具")
@Slf4j
public class userDataHKsite {


    @Autowired
    private userDataHKsiteI userDataHKsite;

    @ApiOperation(value = "清洗海康人员录入人脸信息", notes = "清洗海康人员录入人脸信息")
    @ApiImplicitParams({
            @ApiImplicitParam(paramType = "path", dataType = "Integer", name = "communityId", value = "小区ID") })
    @RequestMapping(value = "/site/{communityId}",method = RequestMethod.GET)
    public ResponseBean sitePersionData(@PathVariable("communityId") Integer communityId){
        ResponseBean responseBean = new ResponseBean();
        //查询出审核表中的数据并建人脸
        responseBean = userDataHKsite.cleanHKdata(communityId);
        responseBean.addSuccess("ok");
        return responseBean;
    }

    @ApiOperation(value = "清洗人员默认消息", notes = "清洗人员默认消息")
    @ApiImplicitParams({
            @ApiImplicitParam(paramType = "path", dataType = "Integer", name = "communityId", value = "小区ID") })
    @RequestMapping(value = "/site/message/{communityId}",method = RequestMethod.GET)
    public ResponseBean sitePersionMessageData(@PathVariable("communityId") Integer communityId){
        ResponseBean responseBean = new ResponseBean();
        //查询出审核表中的数据并建人脸
        responseBean = userDataHKsite.cleanMessage(communityId);
        responseBean.addSuccess("ok");
        return responseBean;
    }

    @ApiOperation(value = "清洗人员可是对讲卡权限", notes = "清洗人员可是对讲卡权限")
    @ApiImplicitParams({
            @ApiImplicitParam(paramType = "path", dataType = "Integer", name = "communityId", value = "小区ID") })
    @RequestMapping(value = "/site/permission/{communityId}",method = RequestMethod.GET)
    public ResponseBean cleanCardPermissionHk(@PathVariable("communityId") Integer communityId){
        ResponseBean responseBean = userDataHKsite.cleanCardPersionHk(communityId);
        return responseBean;
    }
}
