package com.community.huiju.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 户号信息表
 * </p>
 *
 * @author jobob
 * @since 2019-04-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tp_room_no")
public class TpRoomNo implements Serializable {

    private static final long serialVersionUID = 1L;
    
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    
    /**
     * 小区id
     */
    private Integer communityId;

    /**
     * 期区ID
     */
    private Integer phaseId;

    /**
     * 期区名称
     */
    private String phaseName;

    /**
     * 楼栋ID
     */
    private Integer buildingId;

    /**
     * 楼栋姓名
     */
    private String buildingName;

    /**
     * 单元ID
     */
    private Integer unitId;

    /**
     * 单元名称
     */
    private String unitName;

    /**
     * 楼层ID
     */
    private Integer levelId;

    /**
     * 楼层名字
     */
    private String levelName;

    /**
     * 户号
     */
    private String name;

    /**
     * 排序
     */
    private String sort;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;


}
